function multiplication_test()
    sampleRate = 1000;
    time_ticks = 0:1/sampleRate:1;
    
    freq1 = -50; %Multiplier freq.
    freq2 = 150; %Signal freq.
    
    
    %MULTIPLIER: REAL AND COMPLEX
    %multiplier = exp(j*2*pi*freq1*time_ticks);
    multiplier = sin(2*pi*freq1*time_ticks);
    
    %SIGNAL: REAL AND COMPLEX
    %signal_before = exp(j*2*pi*freq2*time_ticks);
    signal_before = sin(2*pi*freq2*time_ticks);
    
    signal_after = signal_before .* multiplier;
    
    plot_fft(signal_before, sampleRate); title('Before'); %axis([-inf inf 0 inf]);
    plot_fft(signal_after, sampleRate); title('After');
end